<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_context.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
<h1>vx_context.h</h1><a href="vx__context_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * Copyright (c) 2012-2016 The Khronos Group Inc.</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a</span>
<a name="l00005"></a>00005 <span class="comment"> * copy of this software and/or associated documentation files (the</span>
<a name="l00006"></a>00006 <span class="comment"> * &quot;Materials&quot;), to deal in the Materials without restriction, including</span>
<a name="l00007"></a>00007 <span class="comment"> * without limitation the rights to use, copy, modify, merge, publish,</span>
<a name="l00008"></a>00008 <span class="comment"> * distribute, sublicense, and/or sell copies of the Materials, and to</span>
<a name="l00009"></a>00009 <span class="comment"> * permit persons to whom the Materials are furnished to do so, subject to</span>
<a name="l00010"></a>00010 <span class="comment"> * the following conditions:</span>
<a name="l00011"></a>00011 <span class="comment"> *</span>
<a name="l00012"></a>00012 <span class="comment"> * The above copyright notice and this permission notice shall be included</span>
<a name="l00013"></a>00013 <span class="comment"> * in all copies or substantial portions of the Materials.</span>
<a name="l00014"></a>00014 <span class="comment"> *</span>
<a name="l00015"></a>00015 <span class="comment"> * MODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY REFLECTS</span>
<a name="l00016"></a>00016 <span class="comment"> * KHRONOS STANDARDS. THE UNMODIFIED, NORMATIVE VERSIONS OF KHRONOS</span>
<a name="l00017"></a>00017 <span class="comment"> * SPECIFICATIONS AND HEADER INFORMATION ARE LOCATED AT</span>
<a name="l00018"></a>00018 <span class="comment"> *    https://www.khronos.org/registry/</span>
<a name="l00019"></a>00019 <span class="comment"> *</span>
<a name="l00020"></a>00020 <span class="comment"> * THE MATERIALS ARE PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND,</span>
<a name="l00021"></a>00021 <span class="comment"> * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF</span>
<a name="l00022"></a>00022 <span class="comment"> * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.</span>
<a name="l00023"></a>00023 <span class="comment"> * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY</span>
<a name="l00024"></a>00024 <span class="comment"> * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,</span>
<a name="l00025"></a>00025 <span class="comment"> * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE</span>
<a name="l00026"></a>00026 <span class="comment"> * MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.</span>
<a name="l00027"></a>00027 <span class="comment"> */</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="preprocessor">#ifndef VX_CONTEXT_H_</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">#define VX_CONTEXT_H_</span>
<a name="l00033"></a>00033 <span class="preprocessor"></span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00036"></a>00036 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00037"></a>00037 <span class="preprocessor">#endif</span>
<a name="l00038"></a>00038 <span class="preprocessor"></span>
<a name="l00049"></a><a class="code" href="group__group__vx__context__cfg.html#ga8b616d3db87de29c3193b7849096b239">00049</a> <span class="preprocessor">#define TIVX_CONTEXT_MAX_REFERENCES     (512u)</span>
<a name="l00050"></a>00050 <span class="preprocessor"></span>
<a name="l00051"></a>00051 
<a name="l00057"></a><a class="code" href="group__group__vx__context__cfg.html#gacd1ea761dc0074a1db3b8a6df60cbab4">00057</a> <span class="preprocessor">#define TIVX_CONTEXT_MAX_KERNELS     (128u)</span>
<a name="l00058"></a>00058 <span class="preprocessor"></span>
<a name="l00064"></a><a class="code" href="group__group__vx__context__cfg.html#gad60b64f2628a9a829d0b91ff39bbb35c">00064</a> <span class="preprocessor">#define TIVX_CONTEXT_MAX_USER_STRUCTS   (16u)</span>
<a name="l00065"></a>00065 <span class="preprocessor"></span>
<a name="l00069"></a><a class="code" href="group__group__vx__context__cfg.html#ga11d4362b71d976c4afd524640e106589">00069</a> <span class="preprocessor">#define TIVX_CONTEXT_MAX_CONVOLUTION_DIM (15)</span>
<a name="l00070"></a>00070 <span class="preprocessor"></span>
<a name="l00074"></a><a class="code" href="group__group__vx__context__cfg.html#ga4b9667fb9e749205b073c781711c6138">00074</a> <span class="preprocessor">#define TIVX_CONTEXT_MAX_OPTICALFLOWPYRLK_DIM (9)</span>
<a name="l00075"></a>00075 <span class="preprocessor"></span>
<a name="l00079"></a><a class="code" href="group__group__vx__context__cfg.html#gabb812deddf0a24bc11d4ed50da04c587">00079</a> <span class="preprocessor">#define TIVX_CONTEXT_MAX_NONLINEAR_DIM (9)</span>
<a name="l00080"></a>00080 <span class="preprocessor"></span>
<a name="l00084"></a><a class="code" href="structtivx__graph__sort__context.html">00084</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>_tivx_graph_sort_context {
<a name="l00085"></a>00085 
<a name="l00087"></a><a class="code" href="structtivx__graph__sort__context.html#ac6d7e6765f17bed118fee4db561edc5f">00087</a>     <a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a>   sorted_nodes[<a class="code" href="group__group__tivx__obj__desc.html#gaa345cc795baa95e1d5ff39694700ad87" title="Max possible nodes in graph.">TIVX_GRAPH_MAX_NODES</a>];
<a name="l00089"></a><a class="code" href="structtivx__graph__sort__context.html#ad3e63b335bc7677df96033aa70671b3c">00089</a>     <a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a>   stack[<a class="code" href="group__group__tivx__obj__desc.html#gaa345cc795baa95e1d5ff39694700ad87" title="Max possible nodes in graph.">TIVX_GRAPH_MAX_NODES</a>];
<a name="l00091"></a><a class="code" href="structtivx__graph__sort__context.html#a907a59f05725bef44ff64886c7da75bc">00091</a>     uint16_t  stack_top;
<a name="l00093"></a><a class="code" href="structtivx__graph__sort__context.html#a077f90b4e2f01b8353edf79665668007">00093</a>     uint16_t  stack_max_elems;
<a name="l00094"></a>00094 
<a name="l00095"></a>00095 } <a class="code" href="structtivx__graph__sort__context.html" title="Context used while sorting a graph.">tivx_graph_sort_context</a>;
<a name="l00096"></a>00096 
<a name="l00100"></a><a class="code" href="structtivx__context__t.html">00100</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>_vx_context {
<a name="l00101"></a>00101 
<a name="l00103"></a><a class="code" href="structtivx__context__t.html#a8c234d6e9ddee9d50ecb37c7fd47dfb1">00103</a>     <a class="code" href="structtivx__reference__t.html" title="The most basic type in the OpenVX system. Any type that inherits from tivx_reference_t...">tivx_reference_t</a>      base;
<a name="l00104"></a>00104 
<a name="l00106"></a><a class="code" href="structtivx__context__t.html#aa82c115b8daddc80780f6e8f78ca5a81">00106</a>     <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a>        reftable[<a class="code" href="group__group__vx__context__cfg.html#ga8b616d3db87de29c3193b7849096b239" title="Max possible references in a context.">TIVX_CONTEXT_MAX_REFERENCES</a>];
<a name="l00108"></a><a class="code" href="structtivx__context__t.html#a59117164182aad680b08d6b12abd5c52">00108</a>     <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a>           num_references;
<a name="l00110"></a><a class="code" href="structtivx__context__t.html#a840192e70d29ea8b5f322a22d04eca16">00110</a>     <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a>           num_unique_kernels;
<a name="l00112"></a><a class="code" href="structtivx__context__t.html#a78cd24c04249886974f0294ba45283b2">00112</a>     <a class="code" href="vx__types_8h.html#a1cb5484ed26e0f08d33427d6f68abd3a" title="The log callback function.">vx_log_callback_f</a>   log_callback;
<a name="l00114"></a><a class="code" href="structtivx__context__t.html#a446e4a91ee5a40e42b3e2a4a8973b029">00114</a>     <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a>             log_enabled;
<a name="l00116"></a><a class="code" href="structtivx__context__t.html#aff6e03c0e29ac50393a3a0a868416ca4">00116</a>     <a class="code" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45" title="Typedef for a mutex.">tivx_mutex</a>          log_lock;
<a name="l00118"></a><a class="code" href="structtivx__context__t.html#a7d78c7a5266426db83e833e5e18f6544">00118</a>     <a class="code" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45" title="Typedef for a mutex.">tivx_mutex</a>          lock;
<a name="l00120"></a><a class="code" href="structtivx__context__t.html#a75ce61163df36587562644604d2e2eb0">00120</a>     <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a>             perf_enabled;
<a name="l00122"></a><a class="code" href="structtivx__context__t.html#a98c01eaf0e02d38860b0383da42a9384">00122</a>     <a class="code" href="structvx__border__t.html" title="Use with the enumeration VX_NODE_BORDER to set the border mode behavior of a node...">vx_border_t</a>         imm_border;
<a name="l00124"></a><a class="code" href="structtivx__context__t.html#a27203bbf2d4199c5f05ac8d848627d32">00124</a>     <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a>             imm_border_policy;
<a name="l00126"></a><a class="code" href="structtivx__context__t.html#a4ab9369a60bd665b6ac8a772764178ea">00126</a>     <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a>           next_dynamic_user_kernel_id;
<a name="l00128"></a><a class="code" href="structtivx__context__t.html#a3e77e72cf1cb7a41bc1305f11d174940">00128</a>     <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a>           next_dynamic_user_library_id;
<a name="l00130"></a><a class="code" href="structtivx__context__t.html#a581ce38512392c7b82a361c8275cf4e0">00130</a>     <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a>             imm_target_enum;
<a name="l00132"></a><a class="code" href="structtivx__context__t.html#ac365eedda77371d68829186141d63892">00132</a>     <a class="code" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713" title="An 8 bit ASCII character.">vx_char</a>             imm_target_string[<a class="code" href="group__group__tivx__ext.html#ga0731c235cd560c819c84532ca108f8f2" title="Max possible name of a target.">TIVX_TARGET_MAX_NAME</a>];
<a name="l00134"></a>00134     <span class="keyword">struct </span>{
<a name="l00136"></a><a class="code" href="structtivx__context__t.html#addbeeb51b29536cb03bc1066e527a4b9">00136</a>         <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> type;
<a name="l00138"></a><a class="code" href="structtivx__context__t.html#aec86acd2a3c8dd8c9d3ef91d0da85d56">00138</a>         <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a> size;
<a name="l00139"></a>00139     } user_structs[<a class="code" href="group__group__vx__context__cfg.html#gad60b64f2628a9a829d0b91ff39bbb35c" title="Max possible user structs in a context.">TIVX_CONTEXT_MAX_USER_STRUCTS</a>];
<a name="l00141"></a><a class="code" href="structtivx__context__t.html#a78f9f06e375f86479c121ba7ff8c8179">00141</a>     <a class="code" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a" title="An opaque reference to the descriptor of a kernel.">vx_kernel</a> kerneltable[<a class="code" href="group__group__vx__context__cfg.html#gacd1ea761dc0074a1db3b8a6df60cbab4" title="Max possible unique kernels in a context.">TIVX_CONTEXT_MAX_KERNELS</a>];
<a name="l00142"></a>00142 
<a name="l00144"></a><a class="code" href="structtivx__context__t.html#aea189a6daa85227d774074839898c884">00144</a>     <a class="code" href="structtivx__obj__desc__cmd__t.html" title="Command object descriptor.">tivx_obj_desc_cmd_t</a> *obj_desc_cmd;
<a name="l00146"></a><a class="code" href="structtivx__context__t.html#ad000de34c154cd70e50457018a54b0f6">00146</a>     <a class="code" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0" title="Typedef for a event.">tivx_event</a> cmd_ack_event;
<a name="l00147"></a>00147 
<a name="l00151"></a><a class="code" href="structtivx__context__t.html#a955915b46d872ea6bb29807ee1442883">00151</a>     <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> remove_kernel_lock;
<a name="l00152"></a>00152 
<a name="l00154"></a><a class="code" href="structtivx__context__t.html#a39183d2adaef08b1ea17d52f2812bc99">00154</a>     <a class="code" href="structtivx__graph__sort__context.html" title="Context used while sorting a graph.">tivx_graph_sort_context</a> graph_sort_context;
<a name="l00155"></a>00155 } <a class="code" href="structtivx__context__t.html" title="The top level context data for the entire OpenVX instance.">tivx_context_t</a>;
<a name="l00156"></a>00156 
<a name="l00167"></a>00167 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__vx__context.html#gae4eed3b6e9eda1a840b91b0fa7c786fd" title="Check if &amp;#39;context&amp;#39; is valid.">ownIsValidContext</a>(<a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context);
<a name="l00168"></a>00168 
<a name="l00169"></a>00169 
<a name="l00177"></a>00177 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__vx__context.html#gad3df22b80d553454ff8bb9c080b0a72e" title="Add reference to a context.">ownAddReferenceToContext</a>(<a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context, <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref);
<a name="l00178"></a>00178 
<a name="l00179"></a>00179 
<a name="l00187"></a>00187 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__vx__context.html#ga2b1b76e26e82acc1708101330a6ae760" title="Remove reference from a context.">ownRemoveReferenceFromContext</a>(<a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context, <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref);
<a name="l00188"></a>00188 
<a name="l00195"></a>00195 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__context.html#ga4e833da4ad40df0660e78fa6012a28cf" title="Add&amp;#39;s unique kernel to context.">ownAddKernelToContext</a>(<a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context, <a class="code" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a" title="An opaque reference to the descriptor of a kernel.">vx_kernel</a> kernel);
<a name="l00196"></a>00196 
<a name="l00203"></a>00203 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__context.html#ga71c2cfc5a380259f348117aad598d23b" title="Remove unique kernel from context.">ownRemoveKernelFromContext</a>(<a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context, <a class="code" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a" title="An opaque reference to the descriptor of a kernel.">vx_kernel</a> kernel);
<a name="l00204"></a>00204 
<a name="l00210"></a>00210 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__context.html#gaf2872762bd0e2573a87245ea34636481" title="Check if kernel exists inside the context.">ownIsKernelInContext</a>(<a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context, <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> enumeration, <span class="keyword">const</span> <a class="code" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713" title="An 8 bit ASCII character.">vx_char</a> <span class="keywordtype">string</span>[VX_MAX_KERNEL_NAME], <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> *is_found);
<a name="l00211"></a>00211 
<a name="l00212"></a>00212 
<a name="l00226"></a>00226 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__context.html#ga8bfe7f7fb3ebea938ed7f9d675baaa15" title="Send a command to specified target with object descriptor ID&amp;#39;s as parameters...">ownContextSendCmd</a>(<a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context, uint32_t target_id, uint32_t cmd, uint32_t num_obj_desc, <span class="keyword">const</span> uint16_t *obj_desc_id);
<a name="l00227"></a>00227 
<a name="l00235"></a>00235 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__vx__context.html#gac71a0ee04223ee7402c5fe4cf11772f2" title="Get value of kernel remove lock flag.">ownContextGetKernelRemoveLock</a>(<a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context);
<a name="l00236"></a>00236 
<a name="l00245"></a>00245 <span class="keywordtype">void</span> <a class="code" href="group__group__vx__context.html#ga41b58a1e73a67133d6700ae8d210b382" title="Set value of kernel remove lock flag.">ownContextSetKernelRemoveLock</a>(<a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context, <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> do_lock);
<a name="l00246"></a>00246 
<a name="l00254"></a>00254 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__context.html#gaab38acaafb57ded5c2526415bfddc844" title="Lock context.">ownContextLock</a>(<a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context);
<a name="l00255"></a>00255 
<a name="l00263"></a>00263 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__context.html#ga895aa24bb4b0cde01c395d5a8df27556" title="Lock context.">ownContextUnlock</a>(<a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context);
<a name="l00264"></a>00264 
<a name="l00265"></a>00265 
<a name="l00266"></a>00266 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00267"></a>00267 <span class="preprocessor"></span>}
<a name="l00268"></a>00268 <span class="preprocessor">#endif</span>
<a name="l00269"></a>00269 <span class="preprocessor"></span>
<a name="l00270"></a>00270 <span class="preprocessor">#endif</span>
</pre></div></div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
